#
# spec file for package emacs_w3 (Version 4.0pre.23)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf ge_exec xaw3d

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         emacs_w3
Release:      5
Copyright:    GPL
Group: 
Provides:     w3 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Emacs/W3 - a WWW browser for Emacs
Version:      4.0pre.23
Source: ftp://ftp.cs.indiana.edu/pub/elisp/w3/.betas/w3-4.0pre.23.tar.gz
Patch: emacs_w3.dif
BuildRoot: /var/tmp/w3
%description
Implemented in Emacs Lisp.

Authors:
--------
    William M. Perry <wmperry@aventail.com>
    Alf-Ivar Holm <alfh@ifi.uio.no>
    Charles Levert <charles@comm.polymtl.ca>
    Ching-Mo Chang <chang@wsu.edu>
    Christian Limpach <chris@nice.ch>
    Colin Rafferty <craffert@ml.com>
    Cord Kielhorn <kielhorn@thphy.uni-duesseldorf.de>
    Dave Love <d.love@dl.ac.uk>
    Denys Duchier <Denys.Duchier@ps.uni-sb.de>
    Dieter Maurer <dieter@hit.handshake.de>
    Greg Stark <gsstark@mit.edu>
    Hrvoje Niksic <hniksic@srce.hr>
    Istvan Marko <istvan@cmdmail.amd.com>
    Jens-Ulrik Holger Petersen <petersen@kurims.kyoto-u.ac.jp>
    Joe Wells <jbw@cs.bu.edu>
    John Palmieri <palmieri@math.mit.edu>
    Jonathan Harris <jhar@tardis.ed.ac.uk>
    Laurent Martelli <laurent@lolo.martelli.fr>
    Michael Ernst <mernst@cs.washington.edu>
    Paul Stodghill <stodghil@CS.Cornell.EDU>
    Per Abrahamsen <abraham@dina.kvl.dk>
    Roland McGrath <roland@ai.mit.edu>
    Shuji Narazaki <narazaki@InetQ.or.jp>
    SL Baur <steve@altair.xemacs.org>
    Stefan Hornburg <racke@gundel.han.de>
    Takahiro Hayata <hayata@sc511t.s.kobe-u.ac.jp>
    T. V. Raman <raman@Adobe.COM>
    Thierry Emery <Thierry.Emery@nmu.alcatel.fr>
    Toby Speight <tms@ansa.co.uk>
    Vladimir Alexiev <vladimir@cs.ualberta.ca>

%prep
%setup -n w3-$RPM_PACKAGE_VERSION
%patch -p1
# autoconf
./configure --prefix=/usr --with-custom=/usr/share/emacs/20.2/lisp \
            --with-lispdir=/usr/share/emacs/20.2/site-lisp/w3 \
            --datadir=/usr/share/emacs/w3
%build
export LC_CTYPE=ISO-8859-1
make
%install
make install prefix="$RPM_BUILD_ROOT/usr" \
     lispdir="$RPM_BUILD_ROOT/usr/share/emacs/20.2/site-lisp/w3" \
     datadir="$RPM_BUILD_ROOT/usr/share/emacs/w3"
# touch dot.emacs
(cd $RPM_BUILD_ROOT/usr/info/ && gzip -9f w3.info w3.info-[1-9])
/usr/sbin/Check
# %clean
# rm -rf $RPM_BUILD_ROOT
%files
%doc INSTALL HOWTO README TODO
%doc contrib
%doc dot.emacs
/usr/share/emacs/20.2/site-lisp/w3
/usr/info/w3*gz
/usr/share/emacs/w3

